Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X PUT "https://api.box.com/2.0/comments/12345" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"message": "My New Message"
}'{
"id": "11446498",
"type": "comment",
"is_reply_comment": true,
"message": "@Aaron Levie these tigers are cool!",
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00",
"item": {
"id": "11446498",
"type": "file"
},
"tagged_message": "@[1234567:Aaron Levie] these tigers are cool!"
}Update the message of a comment.
curl -i -X PUT "https://api.box.com/2.0/comments/12345" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"message": "My New Message"
}'{
"id": "11446498",
"type": "comment",
"is_reply_comment": true,
"message": "@Aaron Levie these tigers are cool!",
"created_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"created_at": "2012-12-12T10:53:43-08:00",
"modified_at": "2012-12-12T10:53:43-08:00",
"item": {
"id": "11446498",
"type": "file"
},
"tagged_message": "@[1234567:Aaron Levie] these tigers are cool!"
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The ID of the comment.
A comma-separated list of attributes to include in the response. This can be used to request fields that are not normally returned in a standard response.
Be aware that specifying this parameter will have the effect that none of the standard fields are returned in the response unless explicitly specified, instead only fields for the mini representation are returned, additional to the fields requested.
The text of the comment to update.
"Review completed!"
Returns the updated comment object.
Comments are messages created on files. Comments can be made independently or created as responses to other comments.
The unique identifier for this comment.
"11446498"
The value will always be comment.
comment "comment"
Whether or not this comment is a reply to another comment.
true
The text of the comment, as provided by the user.
"@Aaron Levie these tigers are cool!"
A mini user object representing the author of the comment.
Show child attributes
The time this comment was created.
"2012-12-12T10:53:43-08:00"
The time this comment was last modified.
"2012-12-12T10:53:43-08:00"
The file this comment was placed on.
Show child attributes
The string representing the comment text with @mentions included. @mention format is @[id:username] where id is user's Box ID and username is their display name.
"@[1234567:Aaron Levie] these tigers are cool!"
Was this page helpful?